Loading...
Searching...
No Matches
TrcMemAccFactory Class Reference

`#include <trc_mem_acc_base.h>`

## Static Public Member Functions

static ocsd_err_t | CreateBufferAccessor (TrcMemAccessorBase **pAccessor, const ocsd_vaddr_t s_address, const uint8_t *p_buffer, const uint32_t size)
static ocsd_err_t | CreateFileAccessor (TrcMemAccessorBase **pAccessor, const std::string &pathToFile, ocsd_vaddr_t startAddr, size_t offset=0, size_t size=0)
static ocsd_err_t | CreateCBAccessor (TrcMemAccessorBase **pAccessor, const ocsd_vaddr_t s_address, const ocsd_vaddr_t e_address, const ocsd_mem_space_acc_t mem_space)
static void | DestroyAccessor (TrcMemAccessorBase *pAccessor)

## Detailed Description

Definition at line 228 of file trc_mem_acc_base.h.

## Member Function Documentation

## CreateBufferAccessor()

static ocsd_err_t TrcMemAccFactory::CreateBufferAccessor | ( | TrcMemAccessorBase ** | pAccessor,
|  | const ocsd_vaddr_t | s_address,
|  | const uint8_t * | p_buffer,
|  | const uint32_t | size
| ) |  |

static

Accessor Creation

## CreateCBAccessor()

static ocsd_err_t TrcMemAccFactory::CreateCBAccessor | ( | TrcMemAccessorBase ** | pAccessor,
|  | const ocsd_vaddr_t | s_address,
|  | const ocsd_vaddr_t | e_address,
|  | const ocsd_mem_space_acc_t | mem_space
| ) |  |

static

## CreateFileAccessor()

static ocsd_err_t TrcMemAccFactory::CreateFileAccessor | ( | TrcMemAccessorBase ** | pAccessor,
|  | const std::string & | pathToFile,
|  | ocsd_vaddr_t | startAddr,
|  | size_t | offset = `0`,
|  | size_t | size = `0`
| ) |  |

static

## DestroyAccessor()

static void TrcMemAccFactory::DestroyAccessor | ( | TrcMemAccessorBase * | pAccessor | ) |

static

Accessor Destruction

The documentation for this class was generated from the following file:

- /build/libopencsd-16huoW/libopencsd-1.4.1/decoder/include/mem_acc/trc_mem_acc_base.h